import httpRequest from '@/utils/axios'

// 获取校友列表
export function getAlumniList(params: {
  project_prefix_arr: []
  workplace: string
  industry: string
  province: string
  city: string
}) {
  return httpRequest.get('/api/hr/api/v1/alumni-talents', { params })
}

// 获取校友详情
export function getAlumniDetail(params: { id: string }) {
  return httpRequest.get(`/api/hr/api/v1/alumni-talent/${params.id}`, { params })
}

// 获取当前登录的校友信息
export function getAlumniUserInfo() {
  return httpRequest.get('/api/hr/api/v1/alumni-talent/login-user-info')
}
