import type { RouteRecordRaw } from 'vue-router'
import AppLayout from '@/components/layout/Index.vue'

export const routes: Array<RouteRecordRaw> = [
  {
    path: '/hr/company',
    component: AppLayout,
    children: [
      { path: '', redirect: '/hr/company/create' },
      {
        path: 'create',
        component: () => import('./views/Update.vue')
      },
      {
        path: 'view/:id',
        component: () => import('./views/View.vue'),
        props: true
      }
    ]
  }
]
