export interface ProjectType {
  id?: string
  name: string
  logo: string
  type: 1 | 2 | 3
  start_time: string
  end_time: string
  desc: string
  contact: string
  contact_mobile: string
  documents: { name: string; url: string }[]
  status?: 1 | 2
  audit_status?: 1 | 2 | 3
  is_mine?: boolean
}

export interface ResponseType {
  code: number
  message: string
}

export interface ProjectListResponseType extends ResponseType {
  data: { total: number; data: ProjectType[] }
}
