import httpRequest from '@/utils/axios'
import type { JobType } from './types'

// 创建岗位
export function createCompany(data: JobType) {
  return httpRequest.post('/api/psp/backend/banner/create', data)
}

// 更新岗位
export function updateCompany(data: JobType) {
  return httpRequest.post('/api/psp/backend/banner/update', data)
}

// 获取岗位详情
export function getCompany(params: { id: string }) {
  return httpRequest.get('/api/psp/backend/banner/view', { params })
}
